Bug 835701 - [as7] Error Updating cluster-connection Resource Attributes
[as7] Error Updating cluster-connection Resource Attributes
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
high Severity high (vote)
: CR02
: JON 3.1.1
Assigned To: Stefan Negrea
Mike Foley
:
Depends On: 831377
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-06-26 17:07 EDT by Stefan Negrea
Modified: 2013-09-03 11:12 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 831377
Environment:
Last Closed: 2013-09-03 11:12:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
retryIntervalMultiplier_agent.log (226.82 KB, image/png)
2012-08-31 05:14 EDT, Armine Hovsepyan
no flags Details
retryIntervalMultiplier (2.86 KB, text/x-log)
2012-08-31 05:15 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Stefan Negrea 2012-06-26 17:07:44 EDT
+++ This bug was initially created as a clone of Bug #831377 +++

Description of problem:
The following configuration parameters are marked as long in the plugin descriptor but the AS7 accepts and returns decimal values.


Attribute: retry-interval-multiplier
Address: subsystem=messaging,hornetq-server=default,cluster-connection=my-cluster, name=my-cluster, parent=default


How reproducible:
Every time

Steps to Reproduce:
1. Discover and import an AS7 server
2. Find the resource described by the address noted above.
3. Attempt to update the configuration with retry-interval-multiplier as a decimal number (eg 1.5)
  
Actual results:
The UI does not allow the user to submit a configuration update request with decimal numbers. If a decimal number is read from AS7, the user is asked to correct the entry.

Expected results:
Update retry-interval-multiplier with a decimal number without any problems.


Additional info:
The user are still able to update this resource with long values.

--- Additional comment from snegrea@redhat.com on 2012-06-12 18:15:50 EDT ---

Updated plugin descriptor to accept decimal values for retry-interval-multiplier.
Comment 1 Stefan Negrea 2012-07-20 17:23:11 EDT
release/jon3.1.x branch commit:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=3ea3c75618f4b1944ffd07a853b1df41b391642d
Comment 2 John Sanda 2012-08-02 14:52:01 EDT
JON 3.1.1 ER1 build is available. Moving to ON_QA.

https://brewweb.devel.redhat.com/buildinfo?buildID=226942
Comment 3 Armine Hovsepyan 2012-08-06 10:52:04 EDT
reopen.

same situation as #835696
Comment 4 Stefan Negrea 2012-08-14 15:47:24 EDT
Please retest this. Bug 835696 received new code updates. This property update was not sent to the EAP6 server because of an earlier failure in the update process caused by bug 835696. No further code changes required for this bug.
Comment 5 John Sanda 2012-08-22 01:41:18 EDT
Moving to ON_QA. The JON 3.1.1 ER3 build is available at https://brewweb.devel.redhat.com/buildinfo?buildID=230321.
Comment 6 Armine Hovsepyan 2012-08-23 11:21:33 EDT
same situation as 835696 . moving back to on_dev
Comment 7 Stefan Negrea 2012-08-27 23:21:20 EDT
Please test changing the value for the retry-interval-multiplier field in isolation as described in the description. The change is very specific to this particular field to accept decimal values. If the test fails please provide replication steps for failures.

Also 835696 is related to the infinispan susbystem and not the messaging subsystem covered by this bug.
Comment 8 Armine Hovsepyan 2012-08-28 05:15:08 EDT
clean jon with only EAP plugin installed, started eap in full-ha mode, change of retry-interval-multiplier from 1 to 1.5 created server crash.

reopened.
Comment 9 Stefan Negrea 2012-08-29 17:08:49 EDT
Please retest this. The underlying issue has been fixed. Update for this particular field were not broken but updates for the resource as a whole were not working properly. No changes required, other code changes resolved this issue.
Comment 10 John Sanda 2012-08-29 21:47:52 EDT
The CR1 build is available at
https://brewweb.devel.redhat.com/buildinfo?buildID=231258. Moving to ON_QA.
Comment 11 Armine Hovsepyan 2012-08-31 05:14:44 EDT
Created attachment 608443 [details]
retryIntervalMultiplier_agent.log
Comment 12 Armine Hovsepyan 2012-08-31 05:15:11 EDT
Created attachment 608444 [details]
retryIntervalMultiplier
Comment 13 Armine Hovsepyan 2012-08-31 05:16:05 EDT
reopen.

Exception on gui during the edit, exception in log during the save - value gets back to 1.0
Comment 14 Simeon Pinder 2012-08-31 14:56:32 EDT
I was unable to reproduce this issue with the latest CR1 build.
Version: 3.1.1.CR1
Build Number: 3219830:ad1ab7d

More specifically I:
- unpacked EAP 6.0.0.GA and started standalone with -c standalone-full-ha.xml
- installed CR1 server and agent with plugin packs and imported eap instance
- set connection properties for discovery, after successful discovery navigated to the specific resource and changed config Retry Interval Multiplier from 1 -> 1.5 successfully.
- Navigated away from resource and back to verify reload successfully and double checked that value successfully persisted to as7 configuration as well.

There were no related errors in agent log or exceptions in ui.

Moving this back to ON_QA for another retest.  If there is still an issue it may be helpful to try to delete the browser cache completely and try Shift + F5 to force browser refresh.
Comment 15 Filip Brychta 2012-09-04 06:30:46 EDT
Tested with 3.1.1.CR1 version and it's working correctly for me as well.
Comment 16 Libor Zoubek 2012-09-04 06:59:40 EDT
Tested with 3.1.1.CR1 version and it's working correctly except for server reload - which is Bug 847869
Comment 17 Armine Hovsepyan 2012-09-04 08:35:01 EDT
verifying this bug.

Case with reload invalid configuration still is visible, but since the value from 1 is being changed to smth like 1.5, this bug can be closed as verified and the bug#847869 is responsible for the case.

Thanks Filip, Libor.
Comment 18 Heiko W. Rupp 2013-09-03 11:12:18 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.